package pack.Nuts;

public abstract class Nut {
    protected int id, x, y;  // 1 means white & -1 means black
    protected boolean isAlive;

    public void move(int[] destination, int[][] g) {
        g[x][y] = 0;
        x = destination[0];
        y = destination[1];
        g[x][y] = id;
    }

    public abstract boolean canRoute(int[] destination, int[][] ground);

    public abstract boolean canMove(int[] destination);

    public void changeAlive() {
        isAlive = false;
    }


}
